<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        let dias = ["Lunes", "Martes", "Miercoles", "Jueves", "Sabado", "Domingo"];
        let meses = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];

        function diasM() {
            /**for (let dia of dias) {
                if (dia.indexOf('M') == 0) {
                    console.log(dia);
                }
            }**/

            


        }

        diasM();

        console.log(dias.filter(dia => dia.indexOf("M") == 0));

        let diasM2 = dias.filter(dia => dia[0].toUpperCase() == "M");
        console.log(diasM2);

        let diasM3 = dias.filter(dia => dia.toUpperCase().startsWith("M"))
        console.log(diasM3);

        let mesesVocales = meses.filter(mes => mes.startsWith("A") || mes.startsWith("E"));
        console.log(mesesVocales);

        mesesVocales = meses.filter(mes => ['a', 'e', 'i', 'o', 'u'].indexOf(mes[0].toLowerCase()!==-1))
        mesesVocales = meses.filter(mes => 'aeiou'.includes(mes[0].toLowerCase()))
        console.log(mesesVocales);


    </script>

</body>

</html>